Package org.eclipse.cdt.core.settings.model.util

# Class XmlStorageElement

java.lang.Object
org.eclipse.cdt.core.settings.model.util.XmlStorageElement

All Implemented Interfaces:
  `ICStorageElement`

@Deprecated public class XmlStorageElement extends Object implements ICStorageElement
Deprecated.

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`XmlStorageElement(Element element)`
Deprecated.
`XmlStorageElement(Element element, ICStorageElement parent, boolean alowReferencingParent)`
Deprecated.
`XmlStorageElement(Element element, ICStorageElement parent, boolean alowReferencingParent, String[] attributeFilters, String[] childFilters)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`ICStorageElement`
`addChild(ICStorageElement el, boolean alowReferencingParent, String[] attributeFilters, String[] childFilters)`
Deprecated.
`void`
`clear()`
Deprecated.
Erases all children, attributes and any value set on this ICStorageElement
`ICStorageElement`
`createChild(String name)`
Deprecated.
Create a child ICStorageElement with the given name.
`ICStorageElement`
`createChild(String name, boolean alowReferencingParent, String[] attributeFilters, String[] childFilters)`
Deprecated.
`protected XmlStorageElement`
`createChild(Element element, boolean alowReferencingParent, String[] attributeFilters, String[] childFilters)`
Deprecated.
`ICStorageElement`
`createCopy()`
Deprecated.
Create a deep copy of the current ICStorageElement such that name, children, attributes and value are the same.
`boolean`
`equals(ICStorageElement other)`
Deprecated.
Tests whether this storage element is exactly equal to other To be equal all name, children attributes and value must be equal between the two ICStorageElements
`String`
`getAttribute(String name)`
Deprecated.
Return the String of attribute value for name.
`String[]`
`getAttributeFilters()`
Deprecated.
`String[]`
`getAttributeNames()`
Deprecated.
Returns a string array of attribute names
`String[]`
`getChildFilters()`
Deprecated.
`ICStorageElement[]`
`getChildren()`
Deprecated.
Returns an array of the ICStorageElement children of this ICStorageElement or an empty array if no children were found
`protected ICStorageElement[]`
`getChildren(boolean load)`
Deprecated.
`protected ICStorageElement[]`
`getChildren(Class<XmlStorageElement> clazz)`
Deprecated.
`protected ICStorageElement[]`
`getChildren(Class<XmlStorageElement> clazz, boolean load)`
Deprecated.
`ICStorageElement[]`
`getChildrenByName(String name)`
Deprecated.
Returns the children ICStorageElements with name name
`String`
`getName()`
Deprecated.
Returns the name of this ICStorageElement
`ICStorageElement`
`getParent()`
Deprecated.
Return the parent IStorageElement or null if this ICStorageElement doesn't have a parent
`String`
`getValue()`
Deprecated.
Returns the String value of this element or null if there is no String value set.
`boolean`
`hasAttribute(String name)`
Deprecated.
Return whether this ICStorageElement contains an attribute value for name
`boolean`
`hasChildren()`
Deprecated.
Returns true if this storage element has child ICStorageElements
`ICStorageElement`
`importChild(ICStorageElement el)`
Deprecated.
Imports an existing ICStorageElemtn as a child of this ICStorageElement
`boolean`
`isParentRefAlowed()`
Deprecated.
`boolean`
`matches(ICStorageElement el)`
Deprecated.
`void`
`removeAttribute(String name)`
Deprecated.
Remove an attribute from this ICStorageElement
`void`
`removeChild(ICStorageElement el)`
Deprecated.
Removes the ICStorageElement from the set of child ICSotrageElements
`protected void`
`removed()`
Deprecated.
`void`
`setAttribute(String name, String value)`
Deprecated.
Set an attribute on this ICStorageElement
`void`
`setValue(String value)`
Deprecated.
Sets a String value on the ICStorageElement

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XmlStorageElement

public XmlStorageElement(Element element)
Deprecated.

### XmlStorageElement

public XmlStorageElement(Element element, ICStorageElement parent, boolean alowReferencingParent)
Deprecated.

### XmlStorageElement

public XmlStorageElement(Element element, ICStorageElement parent, boolean alowReferencingParent, String[] attributeFilters, String[] childFilters)
Deprecated.

## Method Details

### createChild

protected XmlStorageElement createChild(Element element, boolean alowReferencingParent, String[] attributeFilters, String[] childFilters)
Deprecated.

### getChildren

public ICStorageElement[] getChildren()
Deprecated.
Description copied from interface: `ICStorageElement`
Returns an array of the ICStorageElement children of this ICStorageElement or an empty array if no children were found

Specified by:
  `getChildren` in interface `ICStorageElement`
Returns:
  ICStorageElement[] of children or empty array

### getChildren

protected ICStorageElement[] getChildren(Class<XmlStorageElement> clazz)
Deprecated.

### getChildren

protected ICStorageElement[] getChildren(boolean load)
Deprecated.

### getChildren

protected ICStorageElement[] getChildren(Class<XmlStorageElement> clazz, boolean load)
Deprecated.

### getParent

public ICStorageElement getParent()
Deprecated.
Description copied from interface: `ICStorageElement`
Return the parent IStorageElement or null if this ICStorageElement doesn't have a parent

Specified by:
  `getParent` in interface `ICStorageElement`
Returns:
  ICStorageElement parent or null

### getAttribute

public String getAttribute(String name)
Deprecated.
Description copied from interface: `ICStorageElement`
Return the String of attribute value for name. If attribute is not found (hasAttribute(name) is false) this method returns null

Specified by:
  `getAttribute` in interface `ICStorageElement`
Returns:
  String value or null if hasAttribute is false

### removed

protected void removed()
Deprecated.

### removeChild

public void removeChild(ICStorageElement el)
Deprecated.
Description copied from interface: `ICStorageElement`
Removes the ICStorageElement from the set of child ICSotrageElements

Specified by:
  `removeChild` in interface `ICStorageElement`

### removeAttribute

public void removeAttribute(String name)
Deprecated.
Description copied from interface: `ICStorageElement`
Remove an attribute from this ICStorageElement

Specified by:
  `removeAttribute` in interface `ICStorageElement`

### setAttribute

public void setAttribute(String name, String value)
Deprecated.
Description copied from interface: `ICStorageElement`
Set an attribute on this ICStorageElement

Specified by:
  `setAttribute` in interface `ICStorageElement`

### clear

public void clear()
Deprecated.
Description copied from interface: `ICStorageElement`
Erases all children, attributes and any value set on this ICStorageElement

Specified by:
  `clear` in interface `ICStorageElement`

### createChild

public ICStorageElement createChild(String name, boolean alowReferencingParent, String[] attributeFilters, String[] childFilters)
Deprecated.

### getName

public String getName()
Deprecated.
Description copied from interface: `ICStorageElement`
Returns the name of this ICStorageElement

Specified by:
  `getName` in interface `ICStorageElement`

### createChild

public ICStorageElement createChild(String name)
Deprecated.
Description copied from interface: `ICStorageElement`
Create a child ICStorageElement with the given name.

Specified by:
  `createChild` in interface `ICStorageElement`
Returns:
  new ICStorageElement representing the child

### getValue

public String getValue()
Deprecated.
Description copied from interface: `ICStorageElement`
Returns the String value of this element or null if there is no String value set. NB a pure whitespace value is considered to be null

Specified by:
  `getValue` in interface `ICStorageElement`
Returns:
  String or null

### setValue

public void setValue(String value)
Deprecated.
Description copied from interface: `ICStorageElement`
Sets a String value on the ICStorageElement

Specified by:
  `setValue` in interface `ICStorageElement`

### importChild

public ICStorageElement importChild(ICStorageElement el) throws UnsupportedOperationException
Deprecated.
Description copied from interface: `ICStorageElement`
Imports an existing ICStorageElemtn as a child of this ICStorageElement

Specified by:
  `importChild` in interface `ICStorageElement`
Returns:
  ICStorageElement a handle on the newly imported ICStorageElement
Throws:
  `UnsupportedOperationException`

### addChild

public ICStorageElement addChild(ICStorageElement el, boolean alowReferencingParent, String[] attributeFilters, String[] childFilters) throws UnsupportedOperationException
Deprecated.

Throws:
  `UnsupportedOperationException`

### getAttributeFilters

public String[] getAttributeFilters()
Deprecated.

### getChildFilters

public String[] getChildFilters()
Deprecated.

### isParentRefAlowed

public boolean isParentRefAlowed()
Deprecated.

### matches

public boolean matches(ICStorageElement el)
Deprecated.

### getAttributeNames

public String[] getAttributeNames()
Deprecated.
Description copied from interface: `ICStorageElement`
Returns a string array of attribute names

Specified by:
  `getAttributeNames` in interface `ICStorageElement`

### createCopy

public ICStorageElement createCopy() throws UnsupportedOperationException, org.eclipse.core.runtime.CoreException
Deprecated.
Description copied from interface: `ICStorageElement`
Create a deep copy of the current ICStorageElement such that name, children, attributes and value are the same.
However this is implemented it should appear to the user that a deep copy of the elements within has occurred. [ Though the implementation may be copy-on-write if the underlying data structure is suitable. ]
getParent() of the clone should be equal to the original element.getParent(). However the clone() doesn't appear in the parent's getChildren() array.

Specified by:
  `createCopy` in interface `ICStorageElement`
Returns:
  ICStorageElement deep copy of this ICStorageElement
Throws:
  `UnsupportedOperationException`
  `org.eclipse.core.runtime.CoreException`
Since:
  5.1

### equals

public boolean equals(ICStorageElement other)
Deprecated.
Description copied from interface: `ICStorageElement`
Tests whether this storage element is exactly equal to other To be equal all name, children attributes and value must be equal between the two ICStorageElements

Specified by:
  `equals` in interface `ICStorageElement`
Returns:
  boolean indicating equality
Since:
  5.1

### getChildrenByName

public ICStorageElement[] getChildrenByName(String name)
Deprecated.
Description copied from interface: `ICStorageElement`
Returns the children ICStorageElements with name name

Specified by:
  `getChildrenByName` in interface `ICStorageElement`
Parameters:
  `name` - String name of children to be returned
Returns:
  ICStorageElement[] of children may be the empty list if no children with name found
Since:
  5.1

### hasAttribute

public boolean hasAttribute(String name)
Deprecated.
Description copied from interface: `ICStorageElement`
Return whether this ICStorageElement contains an attribute value for name

Specified by:
  `hasAttribute` in interface `ICStorageElement`
Returns:
  boolean indicating existence of attribute with name name
Since:
  5.1

### hasChildren

public boolean hasChildren()
Deprecated.
Description copied from interface: `ICStorageElement`
Returns true if this storage element has child ICStorageElements

Specified by:
  `hasChildren` in interface `ICStorageElement`
Returns:
  boolean indicating whether this ICStorageElement has children
Since:
  5.1